

FUNCTION(INSTALL_HEADER_TREE HEADER_DIRECTORY INSTALL_DIRECTORY)
    FILE(RELATIVE_PATH BUILD_EX1 ${PROJECT_SOURCE_DIR} ${PROJECT_BINARY_DIR})
    FILE(RELATIVE_PATH BUILD_EX2 ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
    FILE(RELATIVE_PATH BUILD_EX3 ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
    INSTALL(
        DIRECTORY ${HEADER_DIRECTORY} 
        DESTINATION ${INSTALL_DIRECTORY}
        FILES_MATCHING 
        PATTERN "*.h" 
        PATTERN "*.hpp" 
        PATTERN "*.hh" 
        PATTERN "*.hxx" 
        PATTERN "*.h++" 
        PATTERN "build" EXCLUDE
        PATTERN "${BUILD_EX1}" EXCLUDE
        PATTERN "${BUILD_EX2}" EXCLUDE
        PATTERN "${BUILD_EX3}" EXCLUDE
        )
ENDFUNCTION()




